package com.qmth.cqb.question.model;

import org.springframework.data.annotation.Id;

import java.io.Serializable;
import java.util.Map;

/**
 * 试题结构类型(单选、多选、判断等)
 * Created by songyue on 16/12/28.
 */
public class QuesStructType implements Serializable{
    private static final long serialVersionUID = -4183850561167604080L;

    @Id
    private String id;

    private String typeName;//类型名称

    private String typeTitle;//类型标题

    private Map params;//类型参数

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeTitle() {
        return typeTitle;
    }

    public void setTypeTitle(String typeTitle) {
        this.typeTitle = typeTitle;
    }

    public Map getParams() {
        return params;
    }

    public void setParams(Map params) {
        this.params = params;
    }

    public QuesStructType() {
    }
}
